inventor (2.1.6.1+ds-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [321412f] Remove obsolete lintian override (lib SOVERSION was set to
    1 in 2013).
  * [be9c3e2] Override lintian diagnostic for weirdly-named makefile.
  * [95b718a] Remove patches applied upstream.
  * [b46a662] add upstream metadata

  [ Steve M. Robbins ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Steve M. Robbins <smr@debian.org>  Mon, 08 Dec 2025 22:46:45 -0600

inventor (2.1.6+ds-2) unstable; urgency=medium

  * Restore logic for building manpages only on 64-bit architecture.
  * Do not install with RPATH.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 Aug 2024 01:37:21 -0500

inventor (2.1.6+ds-1) unstable; urgency=medium

  * Standards-Version: 4.7.0 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Replace dependency on transitional package
      x11proto-core-dev with replacement x11proto-dev.
  * [3e065a2] Switch upstream to github open-inventor (Closes: # 1066892)
    SGI has long ago removed their website.
  * [890f435] New upstream version 2.1.6
    + Rewrite build rules to use new CMake build.
    + Remove all existing patches - all were applied upstream, apart from
      setting a SOVERSION, which is now done in new soversion.patch.
    + Patched sources build with gcc-14 (Closes: #1075090)

 -- Steve M. Robbins <smr@debian.org>  Sat, 17 Aug 2024 21:35:02 -0500

inventor (2.1.5-10+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062454

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 11:29:26 +0000

inventor (2.1.5-10+dfsg-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [6c3239d] Fix broken symlinks to Century-Schoolbook fonts.
    Closes: #1036603.
  * [d2a2a86] Remove dep from transitional dummy package gsfonts-x11
  * [54dce68] Change dep from transitional libfreetype6-dev to libfreetype-dev.

 -- Steve M. Robbins <smr@debian.org>  Sat, 27 May 2023 20:08:52 -0500

inventor (2.1.5-10+dfsg-1) unstable; urgency=high

  * Team upload
  * d/copyright: Convert to machine-readable format
  * Exclude non-free/non-source files (Closes: #1029036)

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Remove fields on binary packages that duplicate source:
    + Field Priority from inventor-clients, inventor-data, inventor-demo,
      inventor-dev, inventor-doc, libinventor1.
    + Field Section from inventor-dev.
  * Apply multi-arch hints.
    + inventor-data, inventor-doc: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Mon, 06 Feb 2023 00:50:57 +0100

inventor (2.1.5-10-25) unstable; urgency=medium

  [ Steve Robbins ]
  * [40c9267] Depend on new fonts-urw-base35 (replacement for gsfonts-x11.
    Closes: #1020236, #1020371.
  * [4174d16] adjust override

 -- Steve M. Robbins <smr@debian.org>  Fri, 14 Oct 2022 00:31:55 -0500

inventor (2.1.5-10-24) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Improve cross building: Let dh_auto_build pass cross tools to make.
    (Closes: #902298)

  [ Graham Inggs ]
  * Use __SIZEOF_LONG__ to determine 64-bit architectures
    (Closes: #973005)
  * Switch from debian/compat to debhelper-compat
  * Set Rules-Requires-Root: no
  * Use canonical URI for Vcs-Browser
  * Do not link with -Wl,--as-needed, it is now the default
  * Remove trailing whitespace from d/changelog, d/rules
  * Bump Standards-Version to 4.6.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 31 Oct 2021 12:34:16 +0000

inventor (2.1.5-10-23.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove arch-specific filter used when building the arch: all
    packages, hopefully fixing #889189.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 24 Apr 2021 11:51:14 +0000

inventor (2.1.5-10-23) unstable; urgency=medium

  [ Steve Robbins ]
  * [136a90b] Add build-dep on csh; use debhelper v13.

 -- Steve M. Robbins <smr@debian.org>  Mon, 19 Oct 2020 21:15:34 -0500

inventor (2.1.5-10-22) unstable; urgency=medium

  [ Steve Robbins ]
  * [ab7389d] Remove build-dep on tcsh.
  * [5ab1c4e] Add .gitignore to ignore build products

 -- Steve M. Robbins <smr@debian.org>  Fri, 31 Jul 2020 19:17:47 -0500

inventor (2.1.5-10-21) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 11
  * hardening=+all
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2018 13:45:45 +0100

inventor (2.1.5-10-20) unstable; urgency=medium

  * d/patches/dont-use-FT_Done_GlyphSlot.patch: New.  Remove use
  of FT_Done_GlyphSlot so that Inventor builds with freetype 2.8.
  Closes: #867111

  * d/rules: Don't ship /usr/lib/inventor/SceneViewer* in inventor-demo,
  because SceneViewer is already in inventor-clients.  Closes: #868547.

 -- Steve M. Robbins <smr@debian.org>  Sun, 16 Jul 2017 23:28:37 -0500

inventor (2.1.5-10-19) unstable; urgency=medium

  * patches/inventor-gcc6.patch: New.  Fixes required for building with
    GCC 6 (thanks, Graham Inggs).  Closes: #811781.

 -- Steve M. Robbins <smr@debian.org>  Mon, 15 Aug 2016 23:31:20 -0500

inventor (2.1.5-10-18) unstable; urgency=low

  * patches/endianness.patch: Add s390x and aarch64 to list of 64-bit
    architectures.  Closes: #739186.

  * patches/add-required-libs.patch: Link Decal.so explicitly against
    libc.  Closes: #719485.

  * debian/rules: Link everything with "--as-needed".

 -- Steve M. Robbins <smr@debian.org>  Mon, 31 Mar 2014 20:20:06 -0500

inventor (2.1.5-10-17) unstable; urgency=low

  * control: Change from lesstif2 to motif.  Closes: #714864.
  * Bump SOVERSION to 1.0.0.

  * patches/add-required-libs.patch: Link with -lXm before -lXt.
    Closes: #718691.

  * patches/buildsystem.patch: Use xdg-open as PDF viewer.
    Closes: #718784.

 -- Steve M. Robbins <smr@debian.org>  Fri, 09 Aug 2013 22:50:15 -0500

inventor (2.1.5-10-16) unstable; urgency=low

  * patches/add-required-libs.patch: Do not hard-code libGLw path.  Bug
    fix for #624156 restores ability to use shared libGLw.
    Closes: #634559.

  * control: change recommends from xpdf-reader to xpdf.

 -- Steve M. Robbins <smr@debian.org>  Sat, 24 Sep 2011 15:50:51 -0500

inventor (2.1.5-10-15) unstable; urgency=low

  * control: Move to Debian-science repository, set Maintainer,
    Uploaders, and Vcs fields.  Set Standards-Version to 3.9.2.  Fix -doc
    description.  Closes: #575557.

  * compat:
  * control: Require use of debhelper v8.  Add ${misc:Depends} to all
    packages.

  * source/format: Switch to source format 3.0.  Closes: #620531.
    - patches/add-required-libs.patch:
    - patches/bison-workaround.patch:
    - patches/buildman.patch:
    - patches/buildsystem.patch:
    - patches/configurability.patch:
    - patches/const-correctness.patch:
    - patches/endianness.patch:
    - patches/forward-declare.patch:
    - patches/freetype.patch:
    - patches/ivman.patch:
    - patches/main-correctness.patch:
    - patches/socalcparse.patch:
    - patches/use-tcsh.patch: New.  Patch set created from previous debian
      diff, augmented to link all required lib.  Closes: #554921.

  * Build on i386 to ensure docs are built.  Closes: #595405.

 -- Steve M. Robbins <smr@debian.org>  Tue, 26 Apr 2011 00:46:51 -0500

inventor (2.1.5-10-14) unstable; urgency=low

  * lib/database/src/so/SoInput.c++:
  * lib/interaction/src/nodekits/SoInteractionKit.c++: Store return value
    of strchr() in const char*, rather than char*.  Closes: #560454.

 -- Steve M. Robbins <smr@debian.org>  Sun, 03 Jan 2010 21:15:00 -0600

inventor (2.1.5-10-13) unstable; urgency=low

  * debian/control: Build-depend on x11proto-core-dev instead of x-dev.
    Closes: #515454.  Build-depend on libglu1-mesa-dev instead of
    libglu1-xorg-dev.  Update standards-version to 3.8.2.0.  Change
    ${Source-Version} to ${binary:Version}.  Move -doc to section doc.

  * debian/inventor-clients.menu: Update section from Apps/Graphics to
    Applications/Graphics.

  * debian/libinventor0.lintian-overrides: New.  Override lintian check
    for dependency on xfonts.  Debian policy doesn't apply here because
    we're not getting font info from the server, but directly reading the
    files supplied by the font package; thus the dependency is necessary.

 -- Steve M. Robbins <smr@debian.org>  Sun, 09 Aug 2009 01:32:08 -0500

inventor (2.1.5-10-12) unstable; urgency=low

  * debian/control: Build-depend on libglw1-mesa-dev instead of
    libgl1-mesa-swx11-dev.  Closes: #439485.  Fix description typos.
    Closes: #438890.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Aug 2007 22:35:35 -0500

inventor (2.1.5-10-11) unstable; urgency=low

  * debian/link-fonts.sh: Don't try to link non-existent .pfa file.
  Closes: #383627.

 -- Steve M. Robbins <smr@debian.org>  Tue, 12 Jun 2007 00:56:26 -0500

inventor (2.1.5-10-10) unstable; urgency=low

  * apps/samples/widgets/componentTest.c++: Change first argument of main()
  to int, not unsigned int.  Closes: #417065.

 -- Steve M. Robbins <smr@debian.org>  Thu, 17 May 2007 00:10:20 -0500

inventor (2.1.5-10-9) unstable; urgency=low

  * debian/control: Build with lesstif2 instead of lesstif1.  Closes:
    #374235, #311381.

  * debian/control: Build with libgl1-mesa-swx11-dev rather than
    libgl1-mesa-dev because only the former includes library GLw.
    Closes: #374303.  Maybe someday libgl1-mesa-dev will also
    support GLw (see #374904).

  * debian/link-fonts.sh: Update source font path from
    /usr/lib/X11/fonts/Type1 to /usr/share/fonts/X11/Type1.

 -- Steve M. Robbins <smr@debian.org>  Sun, 25 Jun 2006 23:30:52 -0400

inventor (2.1.5-10-8) unstable; urgency=low

  * lib/database/include/machine.h: Add __powerpc64__ to list that enables
    USE_64BIT_HACKS.  Closes: #361049.

  * debian/rules: fix up path to data files in example source
    code. Closes: #297141.

  * debian/copyright: delete old FSF address.

 -- Steve M. Robbins <smr@debian.org>  Fri,  7 Apr 2006 23:26:51 -0400

inventor (2.1.5-10-7) unstable; urgency=low

  * debian/control: Replace xlibs-dev dependency by four others;
  closes: #346691.  Update standards-version to 3.6.2; no changes.

 -- Steve M. Robbins <smr@debian.org>  Tue, 17 Jan 2006 00:38:31 -0500

inventor (2.1.5-10-6) unstable; urgency=low

  * debian/rules: Remove s390 from list of arches on which the
  doc package can be built.  Closes: #340792.

 -- Steve M. Robbins <smr@debian.org>  Sat, 26 Nov 2005 22:27:13 -0500

inventor (2.1.5-10-5) unstable; urgency=low

  * lib/database/include/machine.h: Add __alpha__ to list that enables
  USE_64BIT_HACKS.  Closes: #286471.

 -- Steve M. Robbins <smr@debian.org>  Sat, 22 Oct 2005 00:56:30 -0400

inventor (2.1.5-10-4) unstable; urgency=low

  * G++ 4.0 transition: rename back to libinventor0.

  * lib/database/include/Inventor/SoPath.h: Declare SoTempPath.
  Closes: #320906.

  * lib/database/include/machine.h: Define USE_64BIT_HACKS as true
  for 64-bit machines, including AMD 64.

  * lib/database/src/sb/SbTime.c++:
  * lib/database/src/so/SoOutput.c++:
  * lib/database/src/so/SoType.c++:
  * lib/interaction/src/draggers/SoDragger.c++:
  * lib/nodekits/src/nodekits/SoNkCatalog.c++:
  * lib/nodekits/src/upgraders/SoV1NkCatalog.c++:
  * libSoXt/src/SoXtRsrc.c++: Replace occurrances of
    '_MIPS_SZLONG == 64 || __ia64' by USE_64BIT_HACKS.  Closes: #286471.

 -- Steve M. Robbins <smr@debian.org>  Sun,  7 Aug 2005 21:25:40 -0400

inventor (2.1.5-10-3) unstable; urgency=low

  * lib/GNUmakefile: link libInventor with -ldl.  Closes: #266040.
  * apps/nodes/Decal/GNUmakefile: link Decal.so with -lGL.

 -- Steve M. Robbins <smr@debian.org>  Sat, 21 Aug 2004 03:33:34 -0400

inventor (2.1.5-10-2) unstable; urgency=low

  * debian/control: New package inventor-doc for documentation.
    Program ivman used to generate manpages only built on
    certain architectures.  Closes: #240927.

  * doc/GNUmakefile: Generate manpages only if requested.

  * doc/man/ivman: Fixes to make 'g++ -Wall' quiet.

 -- Steve M. Robbins <smr@debian.org>  Tue,  1 Jun 2004 22:24:10 -0400

inventor (2.1.5-10-1) unstable; urgency=low

  * New upstream version.  Note that the .orig.tgz file is modified
  from the upstream version: I had to remove all CVS directories.

  * Replaced all usage of "acroread" by "xpdf".  Closes: #227794.

  * debian/control: -dev package depends on lesstif-dev.  Closes: #237699.

 -- Steve M. Robbins <smr@debian.org>  Fri, 28 May 2004 22:19:43 -0400

inventor (2.1.5-9-4) unstable; urgency=low

  * libFL/ang/flfreetype.h: Conform to ever-changing freetype library.
    Thanks to Daniel Schepler for the patch.  Closes: #225395.

  * debian/control: Bump standards version to 3.6.1.0.
  * debian/rules: Set optimization and debugging flags for build.

  * debian/rules: Set _REENTRANT for build to conform to policy 10.2.

  * make/ivcommondefs: Use linker flag '-z defs' to catching missing
    library references at build time (policy 10.2).

 -- Steve M. Robbins <smr@debian.org>  Sun, 11 Jan 2004 15:28:04 -0500

inventor (2.1.5-9-3) unstable; urgency=low

  * Build GCC 3.2 package.
    - new patch debian/Patches/light-resources-offset.

  * lib/database/src/so/engines/GNUmakefile: change 2093 => 12093 in y.tab.c.
    Workaround for bison bug (#176535,#177041,#177640).
    Closes: #178704.

 -- Steve M. Robbins <smr@debian.org>  Sat,  1 Feb 2003 13:18:15 -0500

inventor (2.1.5-9-2) unstable; urgency=low

  * lib/database/src/so/engines/SoCalcParse.y: Do not declare
  twice the same nonterminal with %type (bison suddenly got
  picky about this).  Closes: #165305.

 -- Steve M. Robbins <smr@debian.org>  Sat, 26 Oct 2002 20:38:03 -0400

inventor (2.1.5-9-1) unstable; urgency=low

  * New upstream release.
  * link-fonts.sh: Make script idempotent.  Closes: #138635.

 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Sep 2002 01:44:38 -0400

inventor (2.1.5-8-4) unstable; urgency=low

  * debian/Patches/main-return-int: Change programs in apps so that main()
    returns int, to please GCC 3.

 -- Steve M. Robbins <smr@debian.org>  Sat, 16 Feb 2002 10:24:52 -0500

inventor (2.1.5-8-3) unstable; urgency=low

  * lib/database/src/sb/SbTime.c++: Do not define function trunc()
    which exists in standard library, at least for hppa.

 -- Steve M. Robbins <smr@debian.org>  Sun, 27 Jan 2002 09:51:45 -0500

inventor (2.1.5-8-2) unstable; urgency=low

  * lib/database/include/machine.h: Use <endian.h> to determine
    machine word order.  Closes: #107470.
    - change architecture field to "any".
  * Clean up the examples directories.

 -- Steve M. Robbins <smr@debian.org>  Sat, 26 Jan 2002 08:59:44 -0500

inventor (2.1.5-8-1) unstable; urgency=low

  * New upstream release.
    - adds support for ia64; add ia64 to architecture.
  * Build-depend on bison.  Closes: #123173.
  * Build-depend on libjpeg-dev.
  * Change build-depend "xlibmesa-dev|libgl-dev" to simply "xlibmesa-dev".
  * -dev package conflicts with libcoin20-dev (headers)
    and libcoin20-doc (manpages).
  * Remove -lpthread, -lXext, and -ldl from lib/GNUmakefile.
  * Do not define DEBUG in lib/database/src/so/nodes/GNUmakefile.
  * Fix paths in demo scripts: SceneViewer.RUNME, qmorph.RUNME.

 -- Steve M. Robbins <smr@debian.org>  Sun, 16 Dec 2001 18:01:20 -0500

inventor (2.1.5-7-2) unstable; urgency=low

  * Change architecture field to "i386" only.  Patches to detect endianness
    are needed; see also Bug#107470.
  * Repeat long description for each binary package.  Closes: #107510.
  * Standards-Version updated to 3.5.6.0; no changes required.

 -- Steve M. Robbins <smr@debian.org>  Tue, 31 Jul 2001 02:44:53 -0400

inventor (2.1.5-7-1) unstable; urgency=low

  * Initial release.  Closes: #106101.

  * apps/converters/ivdowngrade/SoLODV2.c++:
  * lib/database/src/sb/SbTime.c++:
  * lib/database/src/so/actions/SoGLRenderAction.c++: Include more headers.

  * apps/demos/SceneViewer/SceneViewer.RUNME:
  * apps/demos/SceneViewer/SoSceneViewer.c++:
  * apps/demos/gview/DisplayGraph.c++:
  * apps/demos/gview/gview.RUNME:
  * apps/demos/noodle/Interface.c++:
  * apps/demos/noodle/noodle.RUNME:
  * apps/demos/qmorf/qmorf.c++:
  * apps/demos/textomatic/textomatic.c++:
  * apps/samples/widgets/MyMtlPal.c++:
  * apps/samples/widgets/MyTextureEd.c++:
  * apps/tools/ivview/ivview.c++:
  * libFL/ang/fl.c:
  * libSoXt/src/SoXtClipboard.c++:
  * libSoXt/src/SoXtComponent.c++:
  * libSoXt/src/mtlEdit/SoXtMtlEdit.c++:
  * libSoXt/src/mtlEdit/SoXtMtlList.c++: Fix path names.

  * libFL/ang/flfreetype.c: Kludge around bad "xmove" value for space
  character.

  * lib/database/src/so/nodes/GNUmakefile: Add -DDEBUG to compile.

  * lib/GNUmakefile:
  * libSoXt/GNUmakefile: Add SONAME to shared library.

  * make/ivcommondefs:
  * make/ivcommonrules:
  * libFL/ang/GNUmakefile: Changes for shared libs, and setting
  directory names.

  * doc/man/ivman/Main.c++: Remove SoDB::init() call.
  * doc/man/ivman/makeManDirs: Use tcsh for script (workaround csh bug).

  * lib/database/include/Inventor/SbTime.h: Ensure INT32_MAX is defined.

  * lib/database/src/so/nodes/SoText3.c++: Patch included to fix byte-order
  in the UCS-encoded strings.
  * lib/database/src/so/nodes/SoText2.c++: As above, plus improved checking
  for non-existent font file.

  * lib/database/src/so/nodes/SoIndexedShape.c++: Fix for new C++ for-loop
  scoping rules.

 -- Steve M. Robbins <smr@debian.org>  Mon, 30 Jul 2001 19:14:48 -0400
